harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stepan Mishura" <stepan.mish...@gmail.com>
Subject Re: [drlvm] DRLVM should accept Java6 classes now
Date Wed, 05 Sep 2007 04:59:41 GMT
On 9/4/07, Gregory Shimansky wrote:
> Hello
>
> As of revision 572698 DRLVM should not throw UnsupportedClassVersion
> when it sees a class file compiled with Java6 compiler (or with -target
> 1.6 by ECJ 3.3). These class files should work with no problems with DRLVM.
>

Sould we create a java6 branch for DRL VM (as we did for classlib) and
move your update to the branch?

Thanks,
Stepan.

> For testing I used classlib (trunk) compiled with ECJ 3.3 with -source
> 1.6 -target 1.6 and all VM acceptance tests compiled with Sun's javac
> from JDK 6.0.
>
> --
> Gregory
>

Mime
View raw message